%define ISONAME KOI8-R
Name: XFree86-%{ISONAME}
Version: 1.0
Release: 2
Copyright: distributable
Source2: ftp://ftp.ksi-linux.com/pub/patches/ksi-XFree86-cyrillic-fonts.tar.gz
Source1: Makefile.cyrfonts
Source: http://www.inp.nsk.su/~bolkhov/files/fonts/cyr_rfx/srctgz/cyr-rfx-koi8-ub-1.1.bdfs.tgz
Patch: koi8-ub-bcl.patch
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Russian and Ukrainian language fonts for the X Window System.
Prereq: chkfontpath
 
%description
If you use the X Window System and you want to display Russian and
Ukrainian fonts, you should install the XFree86-KOI8-R package.

This package contains a full set of Russian and Ukrainian fonts, in
compliance with the KOI8-R standard. The fonts included in
this package are distributed free of charge and can be used
freely, subject to the accompanying copyright:

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: A set of 75 dpi Russian and Ukrainian language fonts for X.

%description 75dpi-fonts
The XFree86-KOI8-R-75dpi-fonts package contains a set of Russian and
Ukrainian language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Russian and Ukrainian language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.  If
you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: KOI8-R fonts in 100 dpi resolution for the X Window System.

%description 100dpi-fonts
The XFree86-KOI8-R-100dpi-fonts package includes Russian and Ukrainian
(KOI8-R) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Russian and Ukrainian 
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-KOI8-R-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

If you need to display Russian and Ukrainian language fonts on your X
Window System, you should install the XFree86-KOI8-R-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%prep
%setup -q -n koi8-ub -a 2
cp -a Cyrillic/100dpi ./
cp %{SOURCE1} ./Makefile
%patch -p1

%build
make all

%install
rm -rf $RPM_BUILD_ROOT

DSTFONT=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/share/fonts/%{ISONAME}/misc
else
	/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/mis
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/share/fonts/%{ISONAME}/75dpi
else
	/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi
fi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
	/usr/sbin/chkfontpath -q --first -a /usr/share/fonts/%{ISONAME}/100dpi
else
	/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi
fi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi
fi

%files
%defattr(-,root,root)
%doc doc/*
%dir /usr/share/fonts/%{ISONAME}
/usr/share/fonts/%{ISONAME}/misc

%files 75dpi-fonts
%defattr(-,root,root)
/usr/share/fonts/%{ISONAME}/75dpi

%files 100dpi-fonts
%defattr(-,root,root)
%doc Cyrillic/COPYRIGHT
/usr/share/fonts/%{ISONAME}/100dpi

%changelog
* Thu Jul 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix %%defattr in the wrong place in the files list

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- adopted for Winston. 
